{
"status": "error",
"message": "Payment Not made yet",
"data": {}
}
{
"status": "error",
"message": "Too many requests. Max 120 per 60s.",
"data": null
}
Auth method: Basic (Access ID) — this endpoint only requires your
x-access-id header. No request signing is needed. See
Authentication.
Checks the payment’s deposit address on-chain, updates the payment if funds have arrived, and
returns its current state. You can only validate payments that belong to your merchant account.GET /v1/api/payment/validate/{id} is an alias of this endpoint and behaves identically.Payment endpoints share a limit of 120 requests per minute. See Rate limits.
A successful check returns HTTP 202. Every failure returns HTTP 406 with data: {},
includingPayment Not made yet, which simply means no funds have arrived yet. When you
poll, treat a 406 as “keep polling”, not as a failed payment.
Payment status after the check: completed, overpayment or partial-payment. A payment
with no funds received returns 406 Payment Not made yet instead, whatever its stored
status. See Payment status values.Example:"completed"
Each fee leg as { coin, usd }, where coin is a string and usd a number:
receive, activation, autoPayoutSwap, autoPayoutWithdrawal and gasFreeService,
plus totalCoin (string) and totalUSD (number).
Additional fields may be present; ignore fields you don't recognise.
Show child attributes
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Tender API Docs","colors":{"primary":"#16A34A","light":"#07C983","dark":"#15803D"},"logo":{"light":"https://mintcdn.com/bombatahabeebgmailcom/mcxCxs_8pzkO0xtV/images/light-icon.svg?fit=max\u0026auto=format\u0026n=mcxCxs_8pzkO0xtV\u0026q=85\u0026s=cda075c6bf5446dcf54eaf34790e6129","dark":"https://mintcdn.com/bombatahabeebgmailcom/mcxCxs_8pzkO0xtV/images/dark-icon.svg?fit=max\u0026auto=format\u0026n=mcxCxs_8pzkO0xtV\u0026q=85\u0026s=6c4948e4995170dbf8a78f32efd4df57"},"favicon":"https://mintcdn.com/bombatahabeebgmailcom/OnVfcdlhGF-H84R_/images/icon.png?fit=max\u0026auto=format\u0026n=OnVfcdlhGF-H84R_\u0026q=85\u0026s=34518dafb185bf64a0bb1ab9dfe9ae05","api":{"playground":{"display":"interactive","proxy":true},"examples":{"defaults":"all","languages":["curl","javascript","python","php"],"prefill":true,"autogenerate":true}},"navbar":{"links":[{"href":"mailto:support@tender.cash","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://merchant.tender.cash"}},"footer":{"socials":{"x":"https://x.com/tender_cash","github":"https://github.com/tender-cash","linkedin":"https://www.linkedin.com/company/tender-merchant"}},"styling":{"latex":true},"navigation":{"global":{"anchors":[{"anchor":"GitHub","icon":"github","href":"https://github.com/tender-cash"},{"anchor":"API Reference","icon":"book","href":"/api-reference/endpoint/initiate-payment"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"bombatahabeebgmailcom","hasAudioNarration":false,"actualSubdomain":"bombatahabeebgmailcom","customDomains":["docs.tender.cash"],"gitSource":{"type":"github","owner":"tender-cash","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6add0c8d75a48754bd45b99f","collectionId":"cffc47dc-b092-4492-8e39-7a46212af57d","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6add0c8d75a48754bd45b99f"},"entitlements":{},"buildId":"6add0c8d75a48754bd45b99f","clientVersion":"0.0.4021","searchFilterCounts":[{"language":"default","tag":"API reference","count":50},{"language":"default","tag":"Guides","count":20},{"language":"default","tag":"Subwallets","count":12},{"language":"default","tag":"Getting started","count":11},{"language":"default","tag":"Conversions","count":9},{"language":"default","tag":"Webhooks","count":7},{"language":"default","tag":"Payouts","count":7},{"language":"default","tag":"Online payments","count":6},{"language":"default","tag":"Payment","count":5},{"language":"default","tag":"On-ramp","count":5}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/endpoint/validate-payment","slug":"/api-reference/endpoint/validate-payment","pageMetadata":{"title":"Validate Payment","description":"Check a payment on-chain and get its current status","openapi":"POST /v1/api/payment/validate/{id}","href":"/api-reference/endpoint/validate-payment"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Check a payment on-chain and get its current status\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{CodeBlock,Expandable,Heading,Note,ParamField,ResponseField,Table,Warning}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Table)_missingMdxReference(`Table`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(Note,{children:_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Auth method: Basic (Access ID)`}),` — this endpoint only requires your\n`,_jsx(_components.code,{children:`x-access-id`}),` header. No request signing is needed. See\n`,_jsx(_components.a,{href:`/api-reference/authentication#basic-access-id-authentication`,children:`Authentication`}),`.`]})}),`\n`,_jsx(_components.p,{children:`Checks the payment’s deposit address on-chain, updates the payment if funds have arrived, and\nreturns its current state. You can only validate payments that belong to your merchant account.`}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.code,{children:`GET /v1/api/payment/validate/{id}`}),` is an alias of this endpoint and behaves identically.`]}),`\n`,_jsxs(_components.p,{children:[`Payment endpoints share a limit of 120 requests per minute. See `,_jsx(_components.a,{href:`/api-reference/rate-limits`,children:`Rate limits`}),`.`]}),`\n`,_jsx(Warning,{children:_jsxs(_components.p,{children:[`A successful check returns HTTP `,_jsx(_components.strong,{children:`202`}),`. Every failure returns HTTP `,_jsx(_components.strong,{children:`406`}),` with `,_jsx(_components.code,{children:`data: {}`}),`,\n`,_jsx(_components.strong,{children:`including`}),` `,_jsx(_components.code,{children:`Payment Not made yet`}),`, which simply means no funds have arrived yet. When you\npoll, treat a 406 as “keep polling”, not as a failed payment.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`path-parameters`,children:`Path Parameters`}),`\n`,_jsxs(ParamField,{path:`id`,type:`string`,required:true,id:`param-id`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`txId`}),` returned when the payment was initiated`]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"66aec7de809b7f45c42a49f9\"`})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`headers`,children:`Headers`}),`\n`,_jsxs(ParamField,{header:`x-access-id`,type:`string`,required:true,id:`param-x-access-id`,children:[_jsx(_components.p,{children:`Your API access ID provided by Tender`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"your-access-id-here\"`})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsxs(ResponseField,{name:`status`,type:`string`,required:true,id:`param-status`,children:[_jsx(_components.p,{children:`Status of the API request`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"success\"`})]})]}),`\n`,_jsxs(ResponseField,{name:`message`,type:`string`,required:true,id:`param-message`,children:[_jsxs(_components.p,{children:[`Result of the check. See `,_jsx(_components.a,{href:`#messages`,children:`Messages`}),`.`]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"payment received\"`})]})]}),`\n`,_jsxs(ResponseField,{name:`data`,type:`object`,required:true,id:`param-data`,children:[_jsx(_components.p,{children:`The payment. Additional fields may be present; ignore fields you don’t recognise.`}),_jsxs(Expandable,{title:`data properties`,children:[_jsxs(ResponseField,{name:`txId`,type:`string`,id:`param-tx-id`,children:[_jsxs(_components.p,{children:[`The payment’s transaction ID (same as `,_jsx(_components.code,{children:`_id`}),`)`]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"66aec7de809b7f45c42a49f9\"`})]})]}),_jsxs(ResponseField,{name:`_id`,type:`string`,id:`param-id-1`,children:[_jsx(_components.p,{children:`The payment’s transaction ID`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"66aec7de809b7f45c42a49f9\"`})]})]}),_jsxs(ResponseField,{name:`status`,type:`string`,id:`param-status-1`,children:[_jsxs(_components.p,{children:[`Payment status after the check: `,_jsx(_components.code,{children:`completed`}),`, `,_jsx(_components.code,{children:`overpayment`}),` or `,_jsx(_components.code,{children:`partial-payment`}),`. A payment\nwith no funds received returns 406 `,_jsx(_components.code,{children:`Payment Not made yet`}),` instead, whatever its stored\nstatus. See `,_jsx(_components.a,{href:`/guides/payments#payment-status-values`,children:`Payment status values`}),`.`]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"completed\"`})]})]}),_jsxs(ResponseField,{name:`type`,type:`string`,id:`param-type`,children:[_jsxs(_components.p,{children:[`Transaction type. Always `,_jsx(_components.code,{children:`receive`}),` for payments.`]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"receive\"`})]})]}),_jsxs(ResponseField,{name:`chain`,type:`string`,id:`param-chain`,children:[_jsx(_components.p,{children:`Chain identifier`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"tron\"`})]})]}),_jsxs(ResponseField,{name:`chainId`,type:`object`,id:`param-chain-id`,children:[_jsx(_components.p,{children:`The chain`}),_jsxs(Expandable,{title:`chainId properties`,children:[_jsxs(ResponseField,{name:`_id`,type:`string`,id:`param-id-2`,children:[_jsx(_components.p,{children:`Internal ID of the chain record`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"64f782bb4278fc475eb30e29\"`})]})]}),_jsxs(ResponseField,{name:`id`,type:`string`,id:`param-id-3`,children:[_jsx(_components.p,{children:`Chain identifier`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"tron\"`})]})]}),_jsxs(ResponseField,{name:`name`,type:`string`,id:`param-name`,children:[_jsx(_components.p,{children:`Chain display name`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"Tron\"`})]})]}),_jsxs(ResponseField,{name:`icon`,type:`string`,id:`param-icon`,children:[_jsx(_components.p,{children:`Chain icon URL`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"https://tender-store.s3.amazonaws.com/icons/tron.png\"`})]})]}),_jsxs(ResponseField,{name:`coin`,type:`string`,id:`param-coin`,children:[_jsx(_components.p,{children:`Native coin of the chain`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"TRX\"`})]})]}),_jsxs(ResponseField,{name:`chainType`,type:`string`,id:`param-chain-type`,children:[_jsx(_components.p,{children:`Chain family`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"tron\"`})]})]}),_jsxs(ResponseField,{name:`explorer`,type:`string`,id:`param-explorer`,children:[_jsx(_components.p,{children:`Block explorer URL`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"https://tronscan.org\"`})]})]})]})]}),_jsxs(ResponseField,{name:`currency`,type:`object`,id:`param-currency`,children:[_jsx(_components.p,{children:`The cryptocurrency`}),_jsxs(Expandable,{title:`currency properties`,children:[_jsxs(ResponseField,{name:`_id`,type:`string`,id:`param-id-4`,children:[_jsx(_components.p,{children:`Internal ID of the currency record`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"64fc4cda43812c15552311d7\"`})]})]}),_jsxs(ResponseField,{name:`id`,type:`string`,id:`param-id-5`,children:[_jsx(_components.p,{children:`Currency identifier`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"usdt\"`})]})]}),_jsxs(ResponseField,{name:`name`,type:`string`,id:`param-name-1`,children:[_jsx(_components.p,{children:`Currency name`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"Tether\"`})]})]}),_jsxs(ResponseField,{name:`symbol`,type:`string`,id:`param-symbol`,children:[_jsx(_components.p,{children:`Currency symbol`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"USDT\"`})]})]}),_jsxs(ResponseField,{name:`icon`,type:`string`,id:`param-icon-1`,children:[_jsx(_components.p,{children:`Currency icon URL`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"https://tender-store.s3.amazonaws.com/icons/usdt.png\"`})]})]}),_jsxs(ResponseField,{name:`isContract`,type:`boolean`,id:`param-is-contract`,children:[_jsx(_components.p,{children:`Whether the currency is a token contract`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`true`})]})]})]})]}),_jsxs(ResponseField,{name:`walletAddress`,type:`string`,id:`param-wallet-address`,children:[_jsx(_components.p,{children:`The deposit address the customer pays to`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"TQn9Y2khDD9JHTfVE5oB2h8BKWWM4LxKLT\"`})]})]}),_jsxs(ResponseField,{name:`contractAddress`,type:`string`,id:`param-contract-address`,children:[_jsx(_components.p,{children:`Token contract address, or an empty string for a native coin`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t\"`})]})]}),_jsxs(ResponseField,{name:`amount`,type:`string`,id:`param-amount`,children:[_jsx(_components.p,{children:`The all-in cryptocurrency amount requested`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"10.15\"`})]})]}),_jsxs(ResponseField,{name:`coinAmount`,type:`string`,id:`param-coin-amount`,children:[_jsxs(_components.p,{children:[`Same as `,_jsx(_components.code,{children:`amount`})]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"10.15\"`})]})]}),_jsxs(ResponseField,{name:`usdAmount`,type:`string`,id:`param-usd-amount`,children:[_jsxs(_components.p,{children:[`USD value of `,_jsx(_components.code,{children:`amount`})]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"10.15\"`})]})]}),_jsxs(ResponseField,{name:`amountReceived`,type:`string`,id:`param-amount-received`,children:[_jsx(_components.p,{children:`Cryptocurrency amount received so far`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"10.15\"`})]})]}),_jsxs(ResponseField,{name:`amountReceivedUSD`,type:`string`,id:`param-amount-received-usd`,children:[_jsxs(_components.p,{children:[`USD value of `,_jsx(_components.code,{children:`amountReceived`})]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"10.15\"`})]})]}),_jsxs(ResponseField,{name:`balanceRequired`,type:`string`,id:`param-balance-required`,children:[_jsxs(_components.p,{children:[`Cryptocurrency amount still owed. `,_jsx(_components.code,{children:`\"0\"`}),` once the payment is complete.`]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"0\"`})]})]}),_jsxs(ResponseField,{name:`balanceRequiredUSD`,type:`string`,id:`param-balance-required-usd`,children:[_jsxs(_components.p,{children:[_jsx(_components.code,{children:`balanceRequired`}),` in USD`]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"0\"`})]})]}),_jsxs(ResponseField,{name:`fee`,type:`string`,id:`param-fee`,children:[_jsx(_components.p,{children:`Fees charged on this payment, in the cryptocurrency`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"0.1\"`})]})]}),_jsxs(ResponseField,{name:`feeUSD`,type:`string`,id:`param-fee-usd`,children:[_jsxs(_components.p,{children:[_jsx(_components.code,{children:`fee`}),` in USD`]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"0.1\"`})]})]}),_jsxs(ResponseField,{name:`activationFee`,type:`string`,id:`param-activation-fee`,children:[_jsxs(_components.p,{children:[`Activation fee included in `,_jsx(_components.code,{children:`fee`}),`, if any`]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"0\"`})]})]}),_jsxs(ResponseField,{name:`activationFeeUSD`,type:`string`,id:`param-activation-fee-usd`,children:[_jsxs(_components.p,{children:[_jsx(_components.code,{children:`activationFee`}),` in USD`]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"0\"`})]})]}),_jsxs(ResponseField,{name:`feeBreakdown`,type:`object | null`,id:`param-fee-breakdown`,children:[_jsxs(_components.p,{children:[`Itemised fees charged to the customer, or `,_jsx(_components.code,{children:`null`}),` for older payments`]}),_jsxs(Expandable,{title:`feeBreakdown properties`,children:[_jsxs(ResponseField,{name:`settlement`,type:`string`,id:`param-settlement`,children:[_jsx(_components.p,{children:`Fee settlement state`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"pending\"`})]})]}),_jsx(ResponseField,{name:`charged`,type:`object`,id:`param-charged`,children:_jsxs(_components.p,{children:[`Each fee leg as `,_jsx(_components.code,{children:`{ coin, usd }`}),`, where `,_jsx(_components.code,{children:`coin`}),` is a string and `,_jsx(_components.code,{children:`usd`}),` a number:\n`,_jsx(_components.code,{children:`receive`}),`, `,_jsx(_components.code,{children:`activation`}),`, `,_jsx(_components.code,{children:`autoPayoutSwap`}),`, `,_jsx(_components.code,{children:`autoPayoutWithdrawal`}),` and `,_jsx(_components.code,{children:`gasFreeService`}),`,\nplus `,_jsx(_components.code,{children:`totalCoin`}),` (string) and `,_jsx(_components.code,{children:`totalUSD`}),` (number).`]})})]})]}),_jsxs(ResponseField,{name:`rate`,type:`string`,id:`param-rate`,children:[_jsx(_components.p,{children:`USD price of one unit of the cryptocurrency at initiation`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"1\"`})]})]}),_jsxs(ResponseField,{name:`isPartialPayment`,type:`boolean`,id:`param-is-partial-payment`,children:[_jsx(_components.p,{children:`Whether the customer paid less than the requested amount`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`false`})]})]}),_jsxs(ResponseField,{name:`isFulfilled`,type:`boolean`,id:`param-is-fulfilled`,children:[_jsxs(_components.p,{children:[_jsx(_components.code,{children:`true`}),` once the payment is fully paid, or once a partial payment has been accepted as final`]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`true`})]})]}),_jsxs(ResponseField,{name:`partialPaymentAt`,type:`string | null`,id:`param-partial-payment-at`,children:[_jsx(_components.p,{children:`When a partial payment was first detected`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`null`})]})]}),_jsxs(ResponseField,{name:`fulfilledAt`,type:`string | null`,id:`param-fulfilled-at`,children:[_jsx(_components.p,{children:`When a partial payment was accepted as final`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`null`})]})]}),_jsxs(ResponseField,{name:`fulfilledBy`,type:`string | null`,id:`param-fulfilled-by`,children:[_jsxs(_components.p,{children:[`Who accepted a partial payment as final: `,_jsx(_components.code,{children:`expiry`}),` (automatically, 24 hours after the partial\npayment was detected), `,_jsx(_components.code,{children:`merchant`}),` or `,_jsx(_components.code,{children:`admin`})]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`null`})]})]}),_jsxs(ResponseField,{name:`agentAmount`,type:`string`,id:`param-agent-amount`,children:[_jsx(_components.p,{children:`The requested amount in the fiat currency the payment was priced in`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"10.00\"`})]})]}),_jsxs(ResponseField,{name:`agentCurrency`,type:`string`,id:`param-agent-currency`,children:[_jsx(_components.p,{children:`The fiat currency the payment was priced in`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"usd\"`})]})]}),_jsxs(ResponseField,{name:`agentRate`,type:`string`,id:`param-agent-rate`,children:[_jsxs(_components.p,{children:[`Price of one unit of the cryptocurrency in `,_jsx(_components.code,{children:`agentCurrency`}),` at initiation`]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"1\"`})]})]}),_jsxs(ResponseField,{name:`agentRateUSD`,type:`string`,id:`param-agent-rate-usd`,children:[_jsx(_components.p,{children:`USD price of one unit of the cryptocurrency at initiation, or the outlet’s manual rate`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"1\"`})]})]}),_jsxs(ResponseField,{name:`amountReceivedAgent`,type:`string`,id:`param-amount-received-agent`,children:[_jsxs(_components.p,{children:[`Amount received, in `,_jsx(_components.code,{children:`agentCurrency`})]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"10.15\"`})]})]}),_jsxs(ResponseField,{name:`balanceRequiredAgent`,type:`string`,id:`param-balance-required-agent`,children:[_jsxs(_components.p,{children:[`Amount still owed, in `,_jsx(_components.code,{children:`agentCurrency`})]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"0\"`})]})]}),_jsxs(ResponseField,{name:`referenceId`,type:`string`,id:`param-reference-id`,children:[_jsxs(_components.p,{children:[`Your `,_jsx(_components.code,{children:`reference`}),`, or an empty string`]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"ORDER-9821\"`})]})]}),_jsxs(ResponseField,{name:`agentId`,type:`object`,id:`param-agent-id`,children:[_jsx(_components.p,{children:`The outlet that received the payment`}),_jsxs(Expandable,{title:`agentId properties`,children:[_jsxs(ResponseField,{name:`_id`,type:`string`,id:`param-id-6`,children:[_jsx(_components.p,{children:`Outlet ID`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"6538eaaebdec6d1a21978e6a\"`})]})]}),_jsxs(ResponseField,{name:`name`,type:`string`,id:`param-name-2`,children:[_jsx(_components.p,{children:`Outlet name`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"Lagos Fashion Store\"`})]})]}),_jsxs(ResponseField,{name:`agentId`,type:`string`,id:`param-agent-id-1`,children:[_jsx(_components.p,{children:`Outlet reference`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"vbibtucm9ynq3k2x7p\"`})]})]})]})]}),_jsxs(ResponseField,{name:`merchantId`,type:`object`,id:`param-merchant-id`,children:[_jsx(_components.p,{children:`Your merchant account`}),_jsxs(Expandable,{title:`merchantId properties`,children:[_jsxs(ResponseField,{name:`_id`,type:`string`,id:`param-id-7`,children:[_jsx(_components.p,{children:`Merchant ID`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"6538e8f9bdec6d1a21978a64\"`})]})]}),_jsxs(ResponseField,{name:`merchantName`,type:`string`,id:`param-merchant-name`,children:[_jsx(_components.p,{children:`Business name`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"Example Store\"`})]})]})]})]}),_jsxs(ResponseField,{name:`createdAt`,type:`string`,id:`param-created-at`,children:[_jsx(_components.p,{children:`ISO 8601 timestamp when the payment was created`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"2026-10-15T09:00:00.000Z\"`})]})]}),_jsxs(ResponseField,{name:`updatedAt`,type:`string`,id:`param-updated-at`,children:[_jsx(_components.p,{children:`ISO 8601 timestamp when the payment was last updated`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"2026-10-15T09:04:12.000Z\"`})]})]})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`messages`,children:`Messages`}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`HTTP 202`}),` (`,_jsx(_components.code,{children:`status: \"success\"`}),`, `,_jsx(_components.code,{children:`data`}),` is the payment):`]}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Message`}),_jsx(_components.th,{children:`Meaning`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`payment received`})}),_jsxs(_components.td,{children:[`The full amount arrived. `,_jsx(_components.code,{children:`data.status`}),` is `,_jsx(_components.code,{children:`completed`}),`, or `,_jsx(_components.code,{children:`overpayment`}),` if the customer paid well over the amount.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`partial payment received`})}),_jsxs(_components.td,{children:[`Less than the full amount arrived. `,_jsx(_components.code,{children:`data.status`}),` is `,_jsx(_components.code,{children:`partial-payment`}),`.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`partial payment fulfilled`})}),_jsx(_components.td,{children:`A partial payment has been accepted as final.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`Transaction already completed`})}),_jsx(_components.td,{children:`The payment was already complete.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`Transaction already Overpaid`})}),_jsx(_components.td,{children:`The payment was already marked as overpaid.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`Transaction payment state already updated`})}),_jsxs(_components.td,{children:[`Another check updated the payment at the same time; `,_jsx(_components.code,{children:`data`}),` is its current state.`]})]})]})]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`HTTP 406`}),` (`,_jsx(_components.code,{children:`status: \"error\"`}),`, `,_jsx(_components.code,{children:`data: {}`}),`):`]}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Message`}),_jsx(_components.th,{children:`Meaning`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`Payment Not made yet`})}),_jsx(_components.td,{children:`No funds have arrived yet. Keep polling. This is also returned for an unpaid payment that has been cancelled.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`Transaction state changed; retry validation`})}),_jsx(_components.td,{children:`The payment changed during the check. Retry.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`Invalid tx id`})}),_jsx(_components.td,{children:`The ID is unknown or doesn’t belong to your merchant account.`})]}),_jsxs(_components.tr,{children:[_jsxs(_components.td,{children:[_jsx(_components.code,{children:`Invalid Chain`}),` / `,_jsx(_components.code,{children:`Invalid Currency`}),` / `,_jsx(_components.code,{children:`Invalid Agent`}),` / `,_jsx(_components.code,{children:`Invalid Merchant`})]}),_jsx(_components.td,{children:`The payment’s chain, currency, outlet or merchant can no longer be found.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`Exchange Price Error`})}),_jsx(_components.td,{children:`No price is available for the currency right now. Retry later.`})]})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`example-request`,children:`Example request`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`2`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`2`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` POST`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://sandbox-api.tender.cash/v1/api/payment/validate/66aec7de809b7f45c42a49f9`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"x-access-id: your-access-id-here\"`})]}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`example-response`,children:`Example response`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`77`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`77`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"success\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"payment received\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"66aec7de809b7f45c42a49f9\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"txId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"66aec7de809b7f45c42a49f9\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"completed\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"receive\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"chain\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"tron\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"chainId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"64f782bb4278fc475eb30e29\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"tron\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Tron\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"icon\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://tender-store.s3.amazonaws.com/icons/tron.png\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"coin\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"TRX\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"chainType\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"tron\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"explorer\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://tronscan.org\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"currency\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"64fc4cda43812c15552311d7\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"usdt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Tether\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"symbol\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"USDT\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"icon\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://tender-store.s3.amazonaws.com/icons/usdt.png\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"isContract\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"walletAddress\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"TQn9Y2khDD9JHTfVE5oB2h8BKWWM4LxKLT\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"contractAddress\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"amount\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"10.15\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"coinAmount\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"10.15\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"usdAmount\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"10.15\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"amountReceived\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"10.15\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"amountReceivedUSD\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"10.15\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"balanceRequired\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"0\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"balanceRequiredUSD\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"0\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"fee\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"0.1\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"feeUSD\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"0.1\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"activationFee\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"0\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"activationFeeUSD\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"0\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"feeBreakdown\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"settlement\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"pending\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"charged\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"receive\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"coin\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"0.1\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"usd\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0.1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"activation\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"coin\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"0\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"usd\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"autoPayoutSwap\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"coin\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"0\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"usd\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"autoPayoutWithdrawal\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"coin\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"0\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"usd\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"gasFreeService\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"coin\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"0.05\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"usd\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0.05`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"totalCoin\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"0.1\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"totalUSD\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0.1`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"rate\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"1\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"isPartialPayment\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"isFulfilled\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"partialPaymentAt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"fulfilledAt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"fulfilledBy\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"agentAmount\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"10.00\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"agentCurrency\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"usd\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"agentRate\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"1\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"agentRateUSD\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"1\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"amountReceivedAgent\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"10.15\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"balanceRequiredAgent\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"0\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"referenceId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"ORDER-9821\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"agentId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"6538eaaebdec6d1a21978e6a\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Lagos Fashion Store\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"agentId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"vbibtucm9ynq3k2x7p\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"merchantId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"6538e8f9bdec6d1a21978a64\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"merchantName\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Example Store\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"createdAt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-10-15T09:00:00.000Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"updatedAt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-10-15T09:04:12.000Z\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(_components.p,{children:`A payment that hasn’t been paid yet returns:`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`5`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Payment Not made yet\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {}`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Validate Payment","description":"Check a payment on-chain and get its current status","openapi":"POST /v1/api/payment/validate/{id}","href":"/api-reference/endpoint/validate-payment"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Path Parameters","slug":"path-parameters","depth":2,"children":[]},{"title":"Headers","slug":"headers","depth":2,"children":[]},{"title":"Response","slug":"response","depth":2,"children":[]},{"title":"Messages","slug":"messages","depth":2,"children":[]},{"title":"Example request","slug":"example-request","depth":2,"children":[]},{"title":"Example response","slug":"example-response","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Validate Payment","description":"Check a payment on-chain and get its current status","operationId":"validatePayment","tags":["Transactions"],"security":["0b0e8dc8-5f86-4b9d-bde8-b959b60683d6"],"parameters":["ae857b11-048a-4931-959e-30e5c9ee40d6","24a5b6c7-60de-4f75-86e2-9ab389d4c774"],"responses":{"202":"3d05b3e8-d124-4805-99ce-52d63633b970","401":"9d4f3258-0d76-485a-9be0-b23a37ae0cf1","406":"91481b47-ecbd-418b-ba4e-d8670de98deb","429":"41d25b85-b088-43f4-a1f7-73c50c1ad128"},"method":"post","type":"path","servers":["ec315635-8b74-4417-b93d-4ac28978e9b8","e02077cb-299e-4a7a-b32e-046e6b44408b"],"path":"/v1/api/payment/validate/{id}","baseUrlOptions":["https://secureapi.tender.cash","https://sandbox-api.tender.cash"],"title":"Validate Payment","codeSamples":[],"requestExampleLanguages":["bash","javascript","python","php"],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated","prefillPlaygroundWithExample":true,"prefillPlaygroundExamples":[]},"dependencies":{"parameters":{"ae857b11-048a-4931-959e-30e5c9ee40d6":{"name":"id","in":"path","required":true,"description":"The payment's txId","schema":{"type":"string","isRequired":true,"description":"The payment's txId","uniqueKey":"","typeLabel":"string"},"example":"66aec7de809b7f45c42a49f9"},"24a5b6c7-60de-4f75-86e2-9ab389d4c774":{"name":"x-access-id","in":"header","required":true,"description":"Your API access ID provided by Tender","schema":{"type":"string","isRequired":true,"description":"Your API access ID provided by Tender","uniqueKey":"","typeLabel":"string"},"example":"your-access-id-here"}},"responses":{"3d05b3e8-d124-4805-99ce-52d63633b970":{"description":"Payment checked; funds have arrived","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":"success","uniqueKey":"status","typeLabel":"string"},"message":{"type":"string","enum":["payment received","partial payment received","partial payment fulfilled","Transaction already completed","Transaction already Overpaid","Transaction payment state already updated"],"uniqueKey":"message","typeLabel":"enum\u003cstring>"},"data":{"type":"object","description":"Additional fields may be present; ignore fields you don't recognise.","properties":{"_id":{"type":"string","uniqueKey":"data._id","typeLabel":"string"},"txId":{"type":"string","example":"66aec7de809b7f45c42a49f9","uniqueKey":"data.txId","typeLabel":"string"},"status":{"type":"string","enum":["completed","overpayment","partial-payment","pending","reserved","cancelled"],"uniqueKey":"data.status","typeLabel":"enum\u003cstring>"},"type":{"type":"string","example":"receive","uniqueKey":"data.type","typeLabel":"string"},"chain":{"type":"string","example":"tron","uniqueKey":"data.chain","typeLabel":"string"},"chainId":{"type":"object","properties":{"_id":{"type":"string","uniqueKey":"data.chainId._id","typeLabel":"string"},"id":{"type":"string","uniqueKey":"data.chainId.id","typeLabel":"string"},"name":{"type":"string","uniqueKey":"data.chainId.name","typeLabel":"string"},"icon":{"type":"string","uniqueKey":"data.chainId.icon","typeLabel":"string"},"coin":{"type":"string","uniqueKey":"data.chainId.coin","typeLabel":"string"},"chainType":{"type":"string","uniqueKey":"data.chainId.chainType","typeLabel":"string"},"explorer":{"type":"string","uniqueKey":"data.chainId.explorer","typeLabel":"string"}},"uniqueKey":"data.chainId","typeLabel":"object"},"currency":{"type":"object","properties":{"_id":{"type":"string","uniqueKey":"data.currency._id","typeLabel":"string"},"id":{"type":"string","uniqueKey":"data.currency.id","typeLabel":"string"},"name":{"type":"string","uniqueKey":"data.currency.name","typeLabel":"string"},"symbol":{"type":"string","uniqueKey":"data.currency.symbol","typeLabel":"string"},"icon":{"type":"string","uniqueKey":"data.currency.icon","typeLabel":"string"},"isContract":{"type":"boolean","uniqueKey":"data.currency.isContract","typeLabel":"boolean"}},"uniqueKey":"data.currency","typeLabel":"object"},"walletAddress":{"type":"string","uniqueKey":"data.walletAddress","typeLabel":"string"},"contractAddress":{"type":"string","uniqueKey":"data.contractAddress","typeLabel":"string"},"amount":{"type":"string","uniqueKey":"data.amount","typeLabel":"string"},"coinAmount":{"type":"string","uniqueKey":"data.coinAmount","typeLabel":"string"},"usdAmount":{"type":"string","uniqueKey":"data.usdAmount","typeLabel":"string"},"amountReceived":{"type":"string","uniqueKey":"data.amountReceived","typeLabel":"string"},"amountReceivedUSD":{"type":"string","uniqueKey":"data.amountReceivedUSD","typeLabel":"string"},"balanceRequired":{"type":"string","uniqueKey":"data.balanceRequired","typeLabel":"string"},"balanceRequiredUSD":{"type":"string","uniqueKey":"data.balanceRequiredUSD","typeLabel":"string"},"fee":{"type":"string","uniqueKey":"data.fee","typeLabel":"string"},"feeUSD":{"type":"string","uniqueKey":"data.feeUSD","typeLabel":"string"},"activationFee":{"type":"string","uniqueKey":"data.activationFee","typeLabel":"string"},"activationFeeUSD":{"type":"string","uniqueKey":"data.activationFeeUSD","typeLabel":"string"},"feeBreakdown":{"oneOf":[{"type":"object","description":"Itemised fees charged to the customer. Additional fields may be present; ignore fields you don't recognise.","properties":{"settlement":{"type":"string","example":"pending","uniqueKey":"data.feeBreakdown.oneOf.0.settlement","typeLabel":"string"},"charged":{"type":"object","properties":{"receive":{"type":"object","properties":{"coin":{"type":"string","example":"0.1","uniqueKey":"data.feeBreakdown.oneOf.0.charged.receive.coin","typeLabel":"string"},"usd":{"type":"number","example":0.1,"uniqueKey":"data.feeBreakdown.oneOf.0.charged.receive.usd","typeLabel":"number"}},"uniqueKey":"data.feeBreakdown.oneOf.0.charged.receive","typeLabel":"object"},"activation":{"type":"object","properties":{"coin":{"type":"string","example":"0.1","uniqueKey":"data.feeBreakdown.oneOf.0.charged.activation.coin","typeLabel":"string"},"usd":{"type":"number","example":0.1,"uniqueKey":"data.feeBreakdown.oneOf.0.charged.activation.usd","typeLabel":"number"}},"uniqueKey":"data.feeBreakdown.oneOf.0.charged.activation","typeLabel":"object"},"autoPayoutSwap":{"type":"object","properties":{"coin":{"type":"string","example":"0.1","uniqueKey":"data.feeBreakdown.oneOf.0.charged.autoPayoutSwap.coin","typeLabel":"string"},"usd":{"type":"number","example":0.1,"uniqueKey":"data.feeBreakdown.oneOf.0.charged.autoPayoutSwap.usd","typeLabel":"number"}},"uniqueKey":"data.feeBreakdown.oneOf.0.charged.autoPayoutSwap","typeLabel":"object"},"autoPayoutWithdrawal":{"type":"object","properties":{"coin":{"type":"string","example":"0.1","uniqueKey":"data.feeBreakdown.oneOf.0.charged.autoPayoutWithdrawal.coin","typeLabel":"string"},"usd":{"type":"number","example":0.1,"uniqueKey":"data.feeBreakdown.oneOf.0.charged.autoPayoutWithdrawal.usd","typeLabel":"number"}},"uniqueKey":"data.feeBreakdown.oneOf.0.charged.autoPayoutWithdrawal","typeLabel":"object"},"gasFreeService":{"type":"object","properties":{"coin":{"type":"string","example":"0.1","uniqueKey":"data.feeBreakdown.oneOf.0.charged.gasFreeService.coin","typeLabel":"string"},"usd":{"type":"number","example":0.1,"uniqueKey":"data.feeBreakdown.oneOf.0.charged.gasFreeService.usd","typeLabel":"number"}},"uniqueKey":"data.feeBreakdown.oneOf.0.charged.gasFreeService","typeLabel":"object"},"totalCoin":{"type":"string","example":"0.1","uniqueKey":"data.feeBreakdown.oneOf.0.charged.totalCoin","typeLabel":"string"},"totalUSD":{"type":"number","example":0.1,"uniqueKey":"data.feeBreakdown.oneOf.0.charged.totalUSD","typeLabel":"number"}},"uniqueKey":"data.feeBreakdown.oneOf.0.charged","typeLabel":"object"}},"uniqueKey":"data.feeBreakdown.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"data.feeBreakdown.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.feeBreakdown","typeLabel":"object | null"},"rate":{"type":"string","uniqueKey":"data.rate","typeLabel":"string"},"isPartialPayment":{"type":"boolean","uniqueKey":"data.isPartialPayment","typeLabel":"boolean"},"isFulfilled":{"type":"boolean","uniqueKey":"data.isFulfilled","typeLabel":"boolean"},"partialPaymentAt":{"oneOf":[{"type":"string","format":"date-time","uniqueKey":"data.partialPaymentAt.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","uniqueKey":"data.partialPaymentAt.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.partialPaymentAt","typeLabel":"string\u003cdate-time> | null"},"fulfilledAt":{"oneOf":[{"type":"string","format":"date-time","uniqueKey":"data.fulfilledAt.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","uniqueKey":"data.fulfilledAt.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.fulfilledAt","typeLabel":"string\u003cdate-time> | null"},"fulfilledBy":{"oneOf":[{"type":"string","enum":["expiry","merchant","admin"],"uniqueKey":"data.fulfilledBy.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["expiry","merchant","admin"],"uniqueKey":"data.fulfilledBy.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.fulfilledBy","typeLabel":"enum\u003cstring> | null"},"agentAmount":{"type":"string","uniqueKey":"data.agentAmount","typeLabel":"string"},"agentCurrency":{"type":"string","uniqueKey":"data.agentCurrency","typeLabel":"string"},"agentRate":{"type":"string","uniqueKey":"data.agentRate","typeLabel":"string"},"agentRateUSD":{"type":"string","uniqueKey":"data.agentRateUSD","typeLabel":"string"},"amountReceivedAgent":{"type":"string","uniqueKey":"data.amountReceivedAgent","typeLabel":"string"},"balanceRequiredAgent":{"type":"string","uniqueKey":"data.balanceRequiredAgent","typeLabel":"string"},"referenceId":{"type":"string","uniqueKey":"data.referenceId","typeLabel":"string"},"agentId":{"type":"object","properties":{"_id":{"type":"string","uniqueKey":"data.agentId._id","typeLabel":"string"},"name":{"type":"string","uniqueKey":"data.agentId.name","typeLabel":"string"},"agentId":{"type":"string","uniqueKey":"data.agentId.agentId","typeLabel":"string"}},"uniqueKey":"data.agentId","typeLabel":"object"},"merchantId":{"type":"object","properties":{"_id":{"type":"string","uniqueKey":"data.merchantId._id","typeLabel":"string"},"merchantName":{"type":"string","uniqueKey":"data.merchantId.merchantName","typeLabel":"string"}},"uniqueKey":"data.merchantId","typeLabel":"object"},"createdAt":{"type":"string","format":"date-time","uniqueKey":"data.createdAt","typeLabel":"string\u003cdate-time>"},"updatedAt":{"type":"string","format":"date-time","uniqueKey":"data.updatedAt","typeLabel":"string\u003cdate-time>"}},"uniqueKey":"data","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"status":"success","message":"payment received","data":{"_id":"\u003cstring>","txId":"66aec7de809b7f45c42a49f9","status":"completed","type":"receive","chain":"tron","chainId":{"_id":"\u003cstring>","id":"\u003cstring>","name":"\u003cstring>","icon":"\u003cstring>","coin":"\u003cstring>","chainType":"\u003cstring>","explorer":"\u003cstring>"},"currency":{"_id":"\u003cstring>","id":"\u003cstring>","name":"\u003cstring>","symbol":"\u003cstring>","icon":"\u003cstring>","isContract":true},"walletAddress":"\u003cstring>","contractAddress":"\u003cstring>","amount":"\u003cstring>","coinAmount":"\u003cstring>","usdAmount":"\u003cstring>","amountReceived":"\u003cstring>","amountReceivedUSD":"\u003cstring>","balanceRequired":"\u003cstring>","balanceRequiredUSD":"\u003cstring>","fee":"\u003cstring>","feeUSD":"\u003cstring>","activationFee":"\u003cstring>","activationFeeUSD":"\u003cstring>","feeBreakdown":{"settlement":"pending","charged":{"receive":{"coin":"0.1","usd":0.1},"activation":{"coin":"0.1","usd":0.1},"autoPayoutSwap":{"coin":"0.1","usd":0.1},"autoPayoutWithdrawal":{"coin":"0.1","usd":0.1},"gasFreeService":{"coin":"0.1","usd":0.1},"totalCoin":"0.1","totalUSD":0.1}},"rate":"\u003cstring>","isPartialPayment":true,"isFulfilled":true,"partialPaymentAt":"2023-11-07T05:31:56Z","fulfilledAt":"2023-11-07T05:31:56Z","fulfilledBy":"expiry","agentAmount":"\u003cstring>","agentCurrency":"\u003cstring>","agentRate":"\u003cstring>","agentRateUSD":"\u003cstring>","amountReceivedAgent":"\u003cstring>","balanceRequiredAgent":"\u003cstring>","referenceId":"\u003cstring>","agentId":{"_id":"\u003cstring>","name":"\u003cstring>","agentId":"\u003cstring>"},"merchantId":{"_id":"\u003cstring>","merchantName":"\u003cstring>"},"createdAt":"2023-11-07T05:31:56Z","updatedAt":"2023-11-07T05:31:56Z"}}}},"exampleType":"generated"}},"exampleType":"generated"},"9d4f3258-0d76-485a-9be0-b23a37ae0cf1":{"description":"Missing or unknown access ID","content":{"application/json":{"schema":{"type":"object","required":["status","message"],"properties":{"status":{"type":"string","enum":["error"],"isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"data":{"oneOf":[{"description":"Usually `null` or `{}`","uniqueKey":"data.oneOf.0","typeLabel":"any"},{"description":"Usually `null` or `{}`","type":"null","uniqueKey":"data.oneOf.1","typeLabel":"null"}],"uniqueKey":"data","typeLabel":"any | null"}},"uniqueKey":"","typeLabel":"object"},"example":{"status":"error","message":"INVALID_REQUEST_SIGNATURE","data":{}},"examples":{"Example":{"title":"Example","value":{"status":"error","message":"INVALID_REQUEST_SIGNATURE","data":{}}}},"exampleType":"examples"}},"exampleType":"examples"},"91481b47-ecbd-418b-ba4e-d8670de98deb":{"description":"Not validated. Includes `Payment Not made yet` (no funds yet; keep polling).","content":{"application/json":{"schema":{"type":"object","required":["status","message"],"properties":{"status":{"type":"string","enum":["error"],"isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"data":{"oneOf":[{"description":"Usually `null` or `{}`","uniqueKey":"data.oneOf.0","typeLabel":"any"},{"description":"Usually `null` or `{}`","type":"null","uniqueKey":"data.oneOf.1","typeLabel":"null"}],"uniqueKey":"data","typeLabel":"any | null"}},"uniqueKey":"","typeLabel":"object"},"example":{"status":"error","message":"Payment Not made yet","data":{}},"examples":{"Example":{"title":"Example","value":{"status":"error","message":"Payment Not made yet","data":{}}}},"exampleType":"examples"}},"exampleType":"examples"},"41d25b85-b088-43f4-a1f7-73c50c1ad128":{"description":"Too many requests","content":{"application/json":{"schema":{"type":"object","required":["status","message"],"properties":{"status":{"type":"string","enum":["error"],"isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"data":{"oneOf":[{"description":"Usually `null` or `{}`","uniqueKey":"data.oneOf.0","typeLabel":"any"},{"description":"Usually `null` or `{}`","type":"null","uniqueKey":"data.oneOf.1","typeLabel":"null"}],"uniqueKey":"data","typeLabel":"any | null"}},"uniqueKey":"","typeLabel":"object"},"example":{"status":"error","message":"Too many requests. Max 120 per 60s.","data":null},"examples":{"Example":{"title":"Example","value":{"status":"error","message":"Too many requests. Max 120 per 60s.","data":null}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"0b0e8dc8-5f86-4b9d-bde8-b959b60683d6":{"AccessIdAuth":{"type":"apiKey","in":"header","name":"x-access-id","description":"Basic (Access ID) authentication. Only the x-access-id header is required; no request signing.","scopes":[],"schemeName":"AccessIdAuth"}}},"servers":{"ec315635-8b74-4417-b93d-4ac28978e9b8":{"url":"https://secureapi.tender.cash","description":"Production Server"},"e02077cb-299e-4a7a-b32e-046e6b44408b":{"url":"https://sandbox-api.tender.cash","description":"Sandbox Server"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-access-id","description":"Basic (Access ID) authentication. Only the x-access-id header is required; no request signing.","scopes":[],"schemeName":"AccessIdAuth"},"schema":{"title":"x-access-id","type":"string","description":"Basic (Access ID) authentication. Only the x-access-id header is required; no request signing.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"AccessIdAuth","name":"x-access-id"}],"title":"AccessIdAuth"}]},"originalFileLocation":"openapi.json"},"subdomain":"bombatahabeebgmailcom","siteName":"Tender API Docs","title":"Validate Payment - Tender API Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-15T14:11:34.975Z","originalFileLocation":"api-reference/endpoint/validate-payment.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Check a payment on-chain and get its current status\">\u003cmeta data-mint-head name=\"application-name\" content=\"Tender API Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/bombatahabeebgmailcom/v6ENOtGYag4X1G5d/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/bombatahabeebgmailcom/v6ENOtGYag4X1G5d/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/bombatahabeebgmailcom/v6ENOtGYag4X1G5d/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/bombatahabeebgmailcom/v6ENOtGYag4X1G5d/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/bombatahabeebgmailcom/v6ENOtGYag4X1G5d/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/bombatahabeebgmailcom/v6ENOtGYag4X1G5d/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/bombatahabeebgmailcom/v6ENOtGYag4X1G5d/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/bombatahabeebgmailcom/v6ENOtGYag4X1G5d/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/bombatahabeebgmailcom/v6ENOtGYag4X1G5d/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Validate Payment - Tender API Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Check a payment on-chain and get its current status\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Tender API Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.tender.cash/api-reference/endpoint/validate-payment\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://bombatahabeebgmailcom.mintlify.app/_mintlify/api/og/v2?division=Payment\u0026amp;title=Validate+Payment\u0026amp;description=Check+a+payment+on-chain+and+get+its+current+status\u0026amp;theme=6166f8c3311d79eb9939bfa3\u0026amp;signature=94220d27171df80a8d46e13d32524cb689455f72e096b89ee4c917679dede862\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Validate Payment - Tender API Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Check a payment on-chain and get its current status\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://bombatahabeebgmailcom.mintlify.app/_mintlify/api/og/v2?division=Payment\u0026amp;title=Validate+Payment\u0026amp;description=Check+a+payment+on-chain+and+get+its+current+status\u0026amp;theme=6166f8c3311d79eb9939bfa3\u0026amp;signature=94220d27171df80a8d46e13d32524cb689455f72e096b89ee4c917679dede862\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/bombatahabeebgmailcom/v6ENOtGYag4X1G5d/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Tender API Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#16A34A\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.tender.cash/api-reference/endpoint/validate-payment\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/endpoint/validate-payment.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.tender.cash/#organization\",\"name\":\"Tender API Docs\",\"url\":\"https://docs.tender.cash\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/bombatahabeebgmailcom/mcxCxs_8pzkO0xtV/images/light-icon.svg?fit=max\u0026auto=format\u0026n=mcxCxs_8pzkO0xtV\u0026q=85\u0026s=cda075c6bf5446dcf54eaf34790e6129\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.tender.cash#website\",\"name\":\"Tender API Docs\",\"url\":\"https://docs.tender.cash\",\"publisher\":{\"@id\":\"https://docs.tender.cash/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.tender.cash/api-reference/endpoint/validate-payment#webpage\",\"url\":\"https://docs.tender.cash/api-reference/endpoint/validate-payment\",\"name\":\"Validate Payment\",\"description\":\"Check a payment on-chain and get its current status\",\"dateModified\":\"2026-10-15T14:11:34.975Z\",\"isPartOf\":{\"@id\":\"https://docs.tender.cash#website\"},\"breadcrumb\":{\"@id\":\"https://docs.tender.cash/api-reference/endpoint/validate-payment#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.tender.cash/api-reference/endpoint/validate-payment#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Payment\",\"item\":\"https://docs.tender.cash/api-reference/endpoint/initiate-payment\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Validate Payment\",\"item\":\"https://docs.tender.cash/api-reference/endpoint/validate-payment\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.tender.cash/api-reference/endpoint/validate-payment#apireference\",\"headline\":\"Validate Payment\",\"name\":\"Validate Payment\",\"description\":\"Check a payment on-chain and get its current status\",\"url\":\"https://docs.tender.cash/api-reference/endpoint/validate-payment\",\"mainEntityOfPage\":{\"@id\":\"https://docs.tender.cash/api-reference/endpoint/validate-payment#webpage\"},\"dateModified\":\"2026-10-15T14:11:34.975Z\",\"publisher\":{\"@id\":\"https://docs.tender.cash/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.tender.cash#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Tender API Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Tender API Docs","nav":{"global":{"anchors":[{"anchor":"GitHub","icon":"github","href":"https://github.com/tender-cash"},{"anchor":"API Reference","icon":"book","href":"/api-reference/endpoint/initiate-payment"}]},"tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":""}]},{"tab":"API reference","groups":[{"group":"Payment","pages":[{"title":"Initiate Payment","openapi":"POST /v1/api/payment/initiate","href":"/api-reference/endpoint/initiate-payment"},{"title":"Initiate Payment By Fiat Currency","description":"Create a payment request priced in a specific fiat currency","openapi":"POST /v1/api/payment/initiate/{currency}","href":"/api-reference/endpoint/initiate-payment-currency"},{"title":"Validate Payment","openapi":"POST /v1/api/payment/validate/{id}","href":"/api-reference/endpoint/validate-payment"},{"title":"Quote Payment","description":"Get the all-in amount a customer would pay, without creating a payment","openapi":"POST /v1/api/payment/quote/{id}","href":"/api-reference/endpoint/quote-payment"},{"title":"Cancel Payment","openapi":"POST /v1/api/payment/cancel/{id}","href":"/api-reference/endpoint/cancel-payment"}]},{"group":"Transactions","pages":[{"title
[...]
